Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Index.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Index.cshtml	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Index.cshtml	(revision 13712)
@@ -18,5 +18,5 @@
         </a>
     </div>
-    <div class="row" style="padding:10px">
+    <div class="row" style="padding:10px; margin-right:0px!important">
         @if (Model.userJobs.Count == 0)
         {
@@ -34,7 +34,8 @@
                            asp-controller="Job"
                            asp-action="Selected"
-                           asp-route-id="@job.Id">
-                            @job.Name - @job.DateCreated
-                            <span class="badge">@job.JobCount</span>
+                           asp-route-id="@job.Id"
+                           onclick="showLoader()">
+                            @job.Job.Name - @job.Job.DateCreated
+                            <span class="badge">@job.Job.JobCount</span>
                         </a>
                     }
@@ -42,20 +43,25 @@
                 </div>
             </div>
+            <p style="display:none" id="loader" class="text-center">
+                <br /><br /><br /><br /><br /><br /><br />
+                <i class="fa fa-cog fa-spin fa-5x" id="spinner">
+                </i>
+            </p>
             @if (Model.selectedJob != null)
             {
-                <div class="col-sm-8" style="padding:5px; padding-left:10px;">
+                <div class="col-sm-8" id="content" style="padding:5px; padding-left:10px;">
                     <div class="row">
                         <h2 style="padding-left:20px">
-                            @Model.selectedJob.Name
+                            @Model.selectedJob.Job.Name
                             <a onclick="popUpDelete()"
-                               style="margin-bottom:10px;" 
-                               
+                               style="margin-bottom:10px;"
                                class='btn btn-danger'>
                                 <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
                             </a>
-                            <a style="display:none" 
-                               asp-action="Delete" 
-                               asp-route-id="@Model.selectedJob.Id" 
-                               asp-controller="Job" id="del"  ></a>
+                            <a style="display:none"
+                               asp-action="Delete"
+                               asp-route-id="@Model.selectedJob.Id"
+                               asp-controller="Job" id="del"
+                               onclick="showDeleter()"></a>
 
                             <script type="text/javascript">
@@ -67,42 +73,28 @@
                                 }
                             </script>
-            
+
                         </h2>
                         <div class="col-sm-6" style="padding-left:30px">
-                            <p>Description: @Model.selectedJob.Description</p>
-                            <p>Resources: @Model.selectedJob.ResourceNames</p>
-                            <p>Created: @Model.selectedJob.DateCreated</p>
-                            <p>Owned by: @Model.selectedJob.OwnerUsername</p>
+                            <p>Description: @Model.selectedJob.Job.Description</p>
+                            <p>Resources: @Model.selectedJob.Job.ResourceNames</p>
+                            <p>Created: @Model.selectedJob.Job.DateCreated</p>
+                            <p>Owned by: @Model.selectedJob.Job.OwnerUsername</p>
 
                         </div>
                         <div class="col-sm-6" style="padding-left:30px">
-                            <p>Calculating: @Model.selectedJob.CalculatingCount</p>
-                            <p>Finished: @Model.selectedJob.FinishedCount</p>
+                            <p>Calculating: @Model.selectedJob.Job.CalculatingCount</p>
+                            <p>Finished: @Model.selectedJob.Job.FinishedCount</p>
                         </div>
 
                     </div>
                     <div class="row">
-                        <h3 style="padding-left:20px">@Model.lightJobTasks.Count Task@(Model.lightJobTasks != null && Model.lightJobTasks.Count != 1 ? "s" : "" )</h3>
-                        @foreach (var task in Model.lightJobTasks)
+                        <h3 style="padding-left:20px">Tasks</h3>
+                        <script type="text/javascript">
+                            //TODO Globale variabele waar data per categorie in gestoken kan worden 
+                        </script>
+                        @foreach (var task in Model.selectedJob.HiveTasks)
                         {
-                            <table class="table " 
-                                   style="margin-left:20px;">
-                                <thead>
-                                    <tr>
-                                        <th>@task</th>
-                                    </tr>
-                                </thead>
-                                <tbody>
-                                    <tr>
-                                        <td>Last update @task.LastTaskDataUpdate</td>
-                                        <td>State: @task.State</td>
-                                        
-                                    </tr>
-                                    <tr>
-                                        <td>@task.ExecutionTime executed</td>
-                                        <td>Created: @task.DateCreated</td>
-                                    </tr>
-                                </tbody>
-                            </table>
+                            @Html.Partial("SelectedJobPartials/_TaskPartial",
+                           new HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer(task))
 
                         }
@@ -111,4 +103,15 @@
             }
         }
+        <script type="text/javascript">
+            function showLoader() {
+                document.getElementById("loader").style.display = "";
+                document.getElementById("content").style.display = "none";
+            }
+            function showDeleter() {
+                document.getElementById("loader").style.display = "";
+                document.getElementById("content").style.display = "none";
+                document.getElementById("spinner").className = "fa fa-trash-o fa-spin fa-5x";
+            }
+        </script>
     </div>
 </div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Algorithm.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Algorithm.cshtml	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Algorithm.cshtml	(revision 13712)
@@ -1,4 +1,5 @@
 ﻿@model HeuristicLab.Clients.Hive.WebJobManager.ViewModels.FileOpeningViewModel
-
+@{System.Random randomizer = new Random();
+    int randy = randomizer.Next(5000); }
 
 
@@ -8,9 +9,28 @@
     </div>
     <div class="row" style="text-align:left">
-        <h1 data-toggle="tooltip" title=" @Model.SelectedTask.ItemTask.ItemName
-            @Model.SelectedTask.ItemTask.Description ">
+        <h1 data-toggle="tooltip" title="@Model.SelectedTask.ItemTask.ItemName
+            @Model.SelectedTask.ItemTask.Description">
             <span class="label label-primary">Algorithm: @Model.SelectedTask.ItemTask.Name</span>
         </h1>
         <a class="btn btn-success" id="fakehiveadd" onclick="addtoHive()">Add to Hive</a>
+
+        <div class="btn-group">
+            <button 
+                    type="button" 
+                    id="prior@(randy)"
+                    class="btn btn-info dropdown-toggle" 
+                    data-toggle="dropdown" 
+                    aria-haspopup="true" aria-expanded="false">
+                Normal <span class="caret"></span>
+            </button>
+            <ul class="dropdown-menu">
+                <li><a onclick="changePriority([],0,@randy)">Low</a></li>
+                <li><a onclick="changePriority([],1,@randy)">Normal</a></li>
+                <li><a onclick="changePriority([],2,@randy)">Urgent</a></li>
+                <li><a onclick="changePriority([],3,@randy)">Critical</a></li>
+            </ul>
+        </div>
+
+
         <a class="btn btn-success" id="realhiveadd" asp-controller="Job" asp-action="AddToHive" style="display:none"></a>
         <h4 id="result" style="display:none">Start uploading algorithm...</h4>
@@ -24,4 +44,5 @@
         </div>
     </div>
+
     <div class="row">
         <div class="btn-group-justified">
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_AlgorithmSmall.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_AlgorithmSmall.cshtml	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_AlgorithmSmall.cshtml	(revision 13712)
@@ -1,18 +1,42 @@
 ﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.AlgorithmContainer
-@{int randomal = Model.randy.Next(2000); }
+@{int randomal = Model.randy.Next(5000);
+    var builder = "[";
+    foreach (var arr in Model.depth)
+    {
+        builder += "[" + String.Join(",", arr) + "],";
+    }
+    builder += "]";
+}
 <p class="text-center">
-    <a class="btn btn-primary" 
-       data-toggle="collapse" 
-       href="#collapseExample@(randomal)"  
-       aria-expanded="false" 
+    <a class="btn btn-primary"
+       data-toggle="collapse"
+       href="#collapseExample@(randomal)"
+       aria-expanded="false"
        aria-controls="collapseExample@(randomal)">
         @Model.algo.Name
     </a>
+    
+</p>
+<div class="collapse" id="collapseExample@(randomal)" style="margin-left:10px;margin-right:10px;margin-top:-10px">
+    <img src="~/img/accoladealg.png" style="width:100%;" />
+    <div class="panel panel-primary" style="border-width:2px!important">
+        <div class="panel-heading panel-primary text-center">
+            <p>@Model.algo.Description</p>
 
-</p>
-<div class="collapse" id="collapseExample@(randomal)" style="margin-left:10px;margin-right:10px">
-    <div class="panel panel-primary">
-        <div class="panel-heading panel-primary text-center" >
-            <p>@Model.algo.Description</p>
+            <div class="btn-group">
+                <button type="button"
+                        id="prior@(randomal)"
+                        class="btn btn-info dropdown-toggle"
+                        data-toggle="dropdown"
+                        aria-haspopup="true" aria-expanded="false">
+                    Normal <span class="caret"></span>
+                </button>
+                <ul class="dropdown-menu">
+                    <li><a onclick="changePriority(@builder,0,@randomal)">Low</a></li>
+                    <li><a onclick="changePriority(@builder,1,@randomal)">Normal</a></li>
+                    <li><a onclick="changePriority(@builder,2,@randomal)">Urgent</a></li>
+                    <li><a onclick="changePriority(@builder,3,@randomal)">Critical</a></li>
+                </ul>
+            </div>
         </div>
         <table class="table table-responsive card-block" style="table-layout:fixed;overflow-wrap:break-word">
@@ -27,7 +51,7 @@
                 {
                     <tr>
-                        <td >@prob.Name</td>
+                        <td>@prob.Name</td>
 
-                        <td >@prob.ActualValue</td>
+                        <td>@prob.ActualValue</td>
                     </tr>
 
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRun.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRun.cshtml	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRun.cshtml	(revision 13712)
@@ -1,5 +1,5 @@
 ﻿@model HeuristicLab.Clients.Hive.WebJobManager.ViewModels.FileOpeningViewModel
 @{System.Random randomizer = new Random();
-    int randy = randomizer.Next(2000); }
+    int randy = randomizer.Next(5000); }
 <div style="margin-left:20px;margin-right:20px">
     <div class="row" style="text-align:center">
@@ -12,4 +12,21 @@
         </h1>
         <a class="btn btn-success" id="fakehiveadd" onclick="addtoHive()">Add to Hive</a>
+
+        <div class="btn-group">
+            <button type="button"
+                    id="prior@(randy)"
+                    class="btn btn-info dropdown-toggle"
+                    data-toggle="dropdown"
+                    aria-haspopup="true" aria-expanded="false">
+                Normal <span class="caret"></span>
+            </button>
+            <ul class="dropdown-menu">
+                <li><a onclick="changePriority([],0,@randy)">Low</a></li>
+                <li><a onclick="changePriority([],1,@randy)">Normal</a></li>
+                <li><a onclick="changePriority([],2,@randy)">Urgent</a></li>
+                <li><a onclick="changePriority([],3,@randy)">Critical</a></li>
+            </ul>
+        </div>
+
         <a class="btn btn-success" id="realhiveadd" asp-controller="Job" asp-action="AddToHive" style="display:none"></a>
         <h4 id="result" style="display:none">Start uploading batch run...</h4>
@@ -25,10 +42,11 @@
     <h4>
         Repeats: @Model.SelectedBatchRun.Repetitions x
-        <label>
-            <input type="checkbox" checked data-toggle="toggle" data-onstyle="warning"
-                   onchange="toggleChild([], @randy)" />
-            Distribute child tasks
-        </label>
+
     </h4>
+    <p class="text-center">
+        <input type="checkbox" checked data-toggle="toggle" data-onstyle="warning"
+               onchange="toggleChild([], @randy)" />
+        Distribute child tasks
+    </p>
     <div id="childs@(randy)">
         @for (var k = 0; k < Model.SelectedBatchRun.Repetitions; k++)
@@ -39,4 +57,6 @@
                 new HeuristicLab.Clients.Hive.WebJobManager.Models.AlgorithmContainer(
                     ((HeuristicLab.Optimization.IAlgorithm)Model.SelectedBatchRun.Optimizer),
+                    new List<int[]>(),
+                    new int[] { 0, k },
                     randomizer));
 
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRunSmall.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRunSmall.cshtml	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRunSmall.cshtml	(revision 13712)
@@ -1,5 +1,14 @@
 ﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.BatchRunContainer
 @{
-    int randombr = Model.randy.Next(2000); }
+    int randombr = Model.randy.Next(5000);
+    var builder = "[";
+    foreach (var arr in Model.depth)
+    {
+        builder += "[" + String.Join(",", arr) + "],";
+    }
+    builder += "]";
+}
+
+
 <p class="text-center">
     <a class="btn btn-warning"
@@ -12,24 +21,35 @@
 
 </p>
-<div class="collapse" id="collapseExample@(randombr)" style="margin-left:10px;margin-right:10px">
-    <div class="panel panel-warning">
-        <div class="panel-heading panel-warning text-center">
-            <p>
+<div class="collapse" 
+     id="collapseExample@(randombr)" style="margin-left:10px;margin-right:10px;margin-top:-10px ">
+    <img src="~/img/accoladebatch.png" style="width:100%" />
+    <div class="panel panel-warning" style="border-color:#f6cd94!important; border-width:2px!important">
+        <div class="panel-heading  text-center">
+            <p class="panel-title">
                 Repeats @Model.batch.Repetitions X
             </p>
             <p>
-                <label>
-                    @{ var builder = "[";
-                        foreach (var arr in Model.depth)
-                        {
-                            builder += "[" + String.Join(",", arr) + "],";
-                        }
-                        builder += "]";
-                    }
-                    <input type="checkbox" checked data-toggle="toggle" data-onstyle="warning"
-                           onchange="toggleChild(@builder, @randombr)" />
-                    Distribute child tasks
-                </label>
+
+
+                <input type="checkbox" checked data-toggle="toggle" data-onstyle="warning"
+                       onchange="toggleChild(@builder, @randombr)" />
+                Distribute child tasks
+
             </p>
+            <div class="btn-group">
+                <button type="button"
+                        id="prior@(randombr)"
+                        class="btn btn-info dropdown-toggle"
+                        data-toggle="dropdown"
+                        aria-haspopup="true" aria-expanded="false">
+                    Normal <span class="caret"></span>
+                </button>
+                <ul class="dropdown-menu">
+                    <li><a onclick="changePriority(@builder,0,@randombr)">Low</a></li>
+                    <li><a onclick="changePriority(@builder,1,@randombr)">Normal</a></li>
+                    <li><a onclick="changePriority(@builder,2,@randombr)">Urgent</a></li>
+                    <li><a onclick="changePriority(@builder,3,@randombr)">Critical</a></li>
+                </ul>
+            </div>
         </div>
         <div id="childs@(randombr)">
@@ -41,4 +61,6 @@
                     new HeuristicLab.Clients.Hive.WebJobManager.Models.AlgorithmContainer(
                         ((HeuristicLab.Optimization.IAlgorithm)Model.batch.Optimizer),
+                        Model.depth.ToList(),
+                        new int[] { 0, k },
                         Model.randy))
 
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Experiment.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Experiment.cshtml	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Experiment.cshtml	(revision 13712)
@@ -1,4 +1,5 @@
 ﻿@model HeuristicLab.Clients.Hive.WebJobManager.ViewModels.FileOpeningViewModel
-@{System.Random randomizer = new Random(); }
+@{System.Random randomizer = new Random();
+    int randy = randomizer.Next(5000); }
 <div style="margin-left:20px;margin-right:20px">
     <div class="row" style="text-align:center">
@@ -11,4 +12,21 @@
         </h1>
         <a class="btn btn-success" id="fakehiveadd" onclick="addtoHive()">Add to Hive</a>
+
+
+        <div class="btn-group">
+            <button type="button"
+                    id="prior@(randy)"
+                    class="btn btn-info dropdown-toggle"
+                    data-toggle="dropdown"
+                    aria-haspopup="true" aria-expanded="false">
+                Normal <span class="caret"></span>
+            </button>
+            <ul class="dropdown-menu">
+                <li><a onclick="changePriority([],0,@randy)">Low</a></li>
+                <li><a onclick="changePriority([],1,@randy)">Normal</a></li>
+                <li><a onclick="changePriority([],2,@randy)">Urgent</a></li>
+                <li><a onclick="changePriority([],3,@randy)">Critical</a></li>
+            </ul>
+        </div>
         <a class="btn btn-success" id="realhiveadd" asp-controller="Job" asp-action="AddToHive" style="display:none"></a>
         <h4 id="result" style="display:none">Start uploading experiment...</h4>
@@ -25,37 +43,45 @@
         Children: @Model.SelectedExperiment.Optimizers.Count
     </h4>
-    @for (var i = 0; i < Model.SelectedExperiment.Optimizers.Count; i++)
-    {
-        @if (Model.SelectedExperiment.Optimizers[i] is HeuristicLab.Optimization.IAlgorithm)
+    <p class="text-center">
+        <input type="checkbox" checked data-toggle="toggle" data-onstyle="danger"
+               onchange="toggleChild([], @randy)" />
+        Distribute child tasks
+    </p>
+    <div id="childs@(randy)">
+        @for (var i = 0; i < Model.SelectedExperiment.Optimizers.Count; i++)
         {
-            @Html.Partial("OpenFilePartials/_AlgorithmSmall",
-new HeuristicLab.Clients.Hive.WebJobManager.Models.AlgorithmContainer(
- ((HeuristicLab.Optimization.IAlgorithm)Model.SelectedExperiment.Optimizers[i]),
- randomizer));
+            @if (Model.SelectedExperiment.Optimizers[i] is HeuristicLab.Optimization.IAlgorithm)
+            {
+                @Html.Partial("OpenFilePartials/_AlgorithmSmall",
+                    new HeuristicLab.Clients.Hive.WebJobManager.Models.AlgorithmContainer(
+                    ((HeuristicLab.Optimization.IAlgorithm)Model.SelectedExperiment.Optimizers[i]),
+                    new List<int[]>(),
+                    new int[] { i, 0 },
+                    randomizer));
+
+            }
+            else if (Model.SelectedExperiment.Optimizers[i] is HeuristicLab.Optimization.BatchRun)
+            {
+                @Html.Partial("OpenFilePartials/_BatchRunSmall",
+                    new HeuristicLab.Clients.Hive.WebJobManager.Models.BatchRunContainer(
+                    ((HeuristicLab.Optimization.BatchRun)Model.SelectedExperiment.Optimizers[i]),
+                    new List<int[]>(),
+                    new int[] { i, 0 },
+                    randomizer)) ;
+
+            }
+            else if (Model.SelectedExperiment.Optimizers[i] is HeuristicLab.Optimization.Experiment)
+            {
+                @Html.Partial("OpenFilePartials/_ExperimentSmall",
+                    new HeuristicLab.Clients.Hive.WebJobManager.Models.ExperimentContainer(
+                    ((HeuristicLab.Optimization.Experiment)Model.SelectedExperiment.Optimizers[i]),
+                    new List<int[]>(),
+                    new int[] { i, 0 },
+                    randomizer)) ;
+
+            }
 
         }
-        else if (Model.SelectedExperiment.Optimizers[i] is HeuristicLab.Optimization.BatchRun)
-        {
-            @Html.Partial("OpenFilePartials/_BatchRunSmall",
-new HeuristicLab.Clients.Hive.WebJobManager.Models.BatchRunContainer(
-    ((HeuristicLab.Optimization.BatchRun)Model.SelectedExperiment.Optimizers[i]),
-    new List<int[]>(),
-    new int[] { i, 0 },
-    randomizer)) ;
-
-        }
-        else if (Model.SelectedExperiment.Optimizers[i] is HeuristicLab.Optimization.Experiment)
-        {
-            @Html.Partial("OpenFilePartials/_ExperimentSmall",
-new HeuristicLab.Clients.Hive.WebJobManager.Models.ExperimentContainer(
-    ((HeuristicLab.Optimization.Experiment)Model.SelectedExperiment.Optimizers[i]),
-    new List<int[]>(),
-    new int[] { i, 0 },
-           randomizer)) ;
-
-        }
-
-    }
-
+    </div>
     <script type="text/javascript">
 
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_ExperimentSmall.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_ExperimentSmall.cshtml	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_ExperimentSmall.cshtml	(revision 13712)
@@ -1,32 +1,66 @@
 ﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.ExperimentContainer
-@{int randombr = Model.randy.Next(2000); }
+@{int randomex = Model.randy.Next(5000);
+    var builder = "[";
+    foreach (var arr in Model.depth)
+    {
+        builder += "[" + String.Join(",", arr) + "],";
+    }
+    builder += "]";
+}
 <p class="text-center">
     <a class="btn btn-danger"
        data-toggle="collapse"
-       href="#collapseExample@(randombr)"
+       href="#collapseExample@(randomex)"
        aria-expanded="false"
-       aria-controls="collapseExample@(randombr)">
+       aria-controls="collapseExample@(randomex)">
         @Model.exp.Name
     </a>
 
 </p>
-<div class="collapse" id="collapseExample@(randombr)" style="margin-left:10px;margin-right:10px">
-    <div class="panel panel-danger">
+<div class="collapse" id="collapseExample@(randomex)" style="margin-left:10px;margin-right:10px;margin-top:-10px">
+    <img src="~/img/accoladeexp.png" style="width:100%" />
+    <div class="panel panel-danger" style="border-color:#c12e2a!important; border-width:2px!important">
         <div class="panel-heading panel-danger text-center">
-            <p>Children: @Model.exp.Optimizers.Count</p>
+            <p class="panel-title">Children: @Model.exp.Optimizers.Count</p>
+            <p>
+                <label>
+
+                    <input type="checkbox" checked data-toggle="toggle" data-onstyle="danger"
+                           onchange="toggleChild(@builder, @randomex)" />
+                    Distribute child tasks
+                </label>
+            </p>
+            <div class="btn-group">
+                <button type="button"
+                        id="prior@(randomex)"
+                        class="btn btn-info dropdown-toggle"
+                        data-toggle="dropdown"
+                        aria-haspopup="true" aria-expanded="false">
+                    Normal <span class="caret"></span>
+                </button>
+                <ul class="dropdown-menu">
+                    <li><a onclick="changePriority(@builder,0,@randomex)">Low</a></li>
+                    <li><a onclick="changePriority(@builder,1,@randomex)">Normal</a></li>
+                    <li><a onclick="changePriority(@builder,2,@randomex)">Urgent</a></li>
+                    <li><a onclick="changePriority(@builder,3,@randomex)">Critical</a></li>
+                </ul>
+            </div>
         </div>
-        @for (var j = 0; j < Model.exp.Optimizers.Count; j++)
-        {
-            @if (Model.exp.Optimizers[j] is HeuristicLab.Optimization.IAlgorithm)
+        <div id="childs@(randomex)">
+            @for (var j = 0; j < Model.exp.Optimizers.Count; j++)
             {
-                @Html.Partial("OpenFilePartials/_AlgorithmSmall",
+                @if (Model.exp.Optimizers[j] is HeuristicLab.Optimization.IAlgorithm)
+                {
+                    @Html.Partial("OpenFilePartials/_AlgorithmSmall",
                     new HeuristicLab.Clients.Hive.WebJobManager.Models.AlgorithmContainer(
-                 ((HeuristicLab.Optimization.IAlgorithm)Model.exp.Optimizers[j]),
-                 Model.randy))
+                        ((HeuristicLab.Optimization.IAlgorithm)Model.exp.Optimizers[j]),
+                         Model.depth.ToList(),
+                        new int[] { j, 0 },
+                        Model.randy))
 
-            }
-            else if (Model.exp.Optimizers[j] is HeuristicLab.Optimization.BatchRun)
-            {
-                @Html.Partial("OpenFilePartials/_BatchRunSmall",
+                }
+                else if (Model.exp.Optimizers[j] is HeuristicLab.Optimization.BatchRun)
+                {
+                    @Html.Partial("OpenFilePartials/_BatchRunSmall",
                 new HeuristicLab.Clients.Hive.WebJobManager.Models.BatchRunContainer(
                     ((HeuristicLab.Optimization.BatchRun)Model.exp.Optimizers[j]),
@@ -35,8 +69,8 @@
                     Model.randy)) ;
 
-            }
-            else if (Model.exp.Optimizers[j] is HeuristicLab.Optimization.Experiment)
-            {
-                @Html.Partial("OpenFilePartials/_ExperimentSmall",
+                }
+                else if (Model.exp.Optimizers[j] is HeuristicLab.Optimization.Experiment)
+                {
+                    @Html.Partial("OpenFilePartials/_ExperimentSmall",
                 new HeuristicLab.Clients.Hive.WebJobManager.Models.ExperimentContainer(
                     ((HeuristicLab.Optimization.Experiment)Model.exp.Optimizers[j]),
@@ -45,6 +79,7 @@
                     Model.randy)) ;
 
+                }
             }
-        }
+        </div>
     </div>
 </div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_AlgTask.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_AlgTask.cshtml	(revision 13712)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_AlgTask.cshtml	(revision 13712)
@@ -0,0 +1,113 @@
+﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer
+@using Newtonsoft.Json;
+<div class="panel panel-primary" style="border-width:2px!important">
+    <div class="panel-heading" 
+         data-toggle="collapse"
+         data-target="#panbody@(Model.hiveTask.Task.Id)"
+         onclick="redrawalg('@(Model.hiveTask.Task.Id)')"
+       aria-expanded="false"
+       aria-controls="panbody@(Model.hiveTask.Task.Id)">
+        <table class="table ">
+            <thead>
+                <tr>
+                    <th>Algorithm: @Model.hiveTask.ItemTask.Name</th>
+                    <th style="font-size:large">
+                        @if (Model.hiveTask.Task.Priority == 0)
+                        {
+                            <span class="label label-default"> Priority low</span>
+                        }
+                        else if (Model.hiveTask.Task.Priority == 1)
+                        {
+                            <span class="label label-info">Priority normal</span>
+                        }
+                        else if (Model.hiveTask.Task.Priority == 2)
+                        {
+                            <span class="label label-warning">Priority urgent</span>
+
+                        }
+                        else if (Model.hiveTask.Task.Priority == 3)
+                        {
+                            <span class="label label-danger">Priority critical</span>
+
+                        }
+                    </th>
+                </tr>
+            </thead>
+            <tbody>
+                <tr>
+                    <td>Last update @Model.hiveTask.Task.LastTaskDataUpdate </td>
+                    <td>State: @Model.hiveTask.Task.State</td>
+
+                </tr>
+                <tr>
+                    <td>@Model.hiveTask.Task.ExecutionTime executed</td>
+                    <td>Created: @Model.hiveTask.Task.DateCreated</td>
+                </tr>
+                <tr>
+                    <td>Statelogs: @Model.hiveTask.Task.StateLog.Count</td>
+                </tr>
+            </tbody>
+        </table>
+    </div>
+    <div class="panel-body ">
+        <div class="collapse" id="panbody@(Model.hiveTask.Task.Id)">
+            <h4>From @Model.hiveTask.Task.StateLog.First().DateTime <br />to @Model.hiveTask.Task.StateLog.Last().DateTime  </h4>
+            <div id="graph@(Model.hiveTask.Task.Id)"></div>
+        </div>
+    </div>
+    <script type="text/javascript">
+        var temp = @Html.Raw(JsonConvert.SerializeObject(Model.hiveTask.Task.StateLog));
+        var xarr = [];
+        var yarr = [];
+        var waiting = 0;
+        var transfer = 0;
+        var calc = 0;
+        for(var v = 0; v < temp.length; v++){
+            xarr.push(temp[v].DateTime.substr(11,8));
+            if(temp[v].State == 1){
+                yarr.push("Waiting");
+                if(v < (temp.length -1))
+                    waiting += Date.parse(temp[v+1].DateTime) - Date.parse(temp[v].DateTime);
+            }
+            else if(temp[v].State == 2){
+                yarr.push("Transferring");
+                if(v < (temp.length -1))
+                    transfer += Date.parse(temp[v+1].DateTime) - Date.parse(temp[v].DateTime);
+            }
+            else if(temp[v].State == 3){
+                yarr.push("Calculating");
+                if(v < (temp.length -1))
+                    calc += Date.parse(temp[v+1].DateTime) - Date.parse(temp[v].DateTime);
+            }
+
+            else if(temp[v].State == 5)
+                yarr.push("Finished");
+            else if(temp[v].State == 7)
+                yarr.push("Failed");
+        }
+
+        var data = [{
+            x: xarr,
+            y: yarr,
+            type:'scatter'
+        }];
+        var dats = [{
+            values:[waiting/1000/60,transfer/1000/60,calc/1000/60],
+            labels: ['Minutes waiting', 'Minutes transferring', 'Minutes calculating'],
+            type:'pie'
+        }];
+        console.log(dats);
+        document.getElementById("graph@(Model.hiveTask.Task.Id)").style = "width: 90%; height: 450px;";
+
+        Plotly.newPlot('graph@(Model.hiveTask.Task.Id)', dats);
+
+        function redrawalg(val){
+            setTimeout(function(){
+                Plotly.redraw('graph' + val);
+            }, 100);
+            
+
+        }
+
+    </script>
+</div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_BatchTask.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_BatchTask.cshtml	(revision 13712)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_BatchTask.cshtml	(revision 13712)
@@ -0,0 +1,114 @@
+﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer
+@using Newtonsoft.Json;
+<div class="panel panel-warning" style="border-color:#f6cd94!important; border-width:2px!important">
+    <div class="panel-heading"
+         data-toggle="collapse"
+         data-target="#panbody@(Model.hiveTask.Task.Id)"
+         onclick="redrawbat('@(Model.hiveTask.Task.Id)')"
+       aria-expanded="false"
+       aria-controls="panbody@(Model.hiveTask.Task.Id)">
+        <table class="table ">
+            <thead>
+                <tr>
+                    <th>Batch run: @Model.hiveTask.ItemTask.Name</th>
+                    <th style="font-size:large">
+                        @if (Model.hiveTask.Task.Priority == 0)
+                        {
+                            <span class="label label-default"> Priority low</span>
+                        }
+                        else if (Model.hiveTask.Task.Priority == 1)
+                        {
+                            <span class="label label-info">Priority normal</span>
+                        }
+                        else if (Model.hiveTask.Task.Priority == 2)
+                        {
+                            <span class="label label-warning">Priority urgent</span>
+
+                        }
+                        else if (Model.hiveTask.Task.Priority == 3)
+                        {
+                            <span class="label label-danger">Priority critical</span>
+
+                        }
+                    </th>
+
+                </tr>
+            </thead>
+            <tbody>
+                <tr>
+                    <td>Last update @Model.hiveTask.Task.LastTaskDataUpdate </td>
+                    <td>State: @Model.hiveTask.Task.State</td>
+
+                </tr>
+                <tr>
+                    <td>@Model.hiveTask.Task.ExecutionTime executed</td>
+                    <td>Created: @Model.hiveTask.Task.DateCreated</td>
+                </tr>
+                <tr>
+                    <td>
+                        Child task distribution
+                        <input type="checkbox"
+                               disabled
+                               @(Model.hiveTask.ItemTask.ComputeInParallel ? "checked" : "" )
+                               data-toggle="toggle"
+                               data-onstyle="success" />
+                    </td>
+                    <td>Statelogs: @Model.hiveTask.Task.StateLog.Count</td>
+                </tr>
+            </tbody>
+        </table>
+    </div>
+    <div class="panel-body ">
+        <div class="collapse" id="panbody@(Model.hiveTask.Task.Id)">
+            <h4>From @Model.hiveTask.Task.StateLog.First().DateTime <br />to @Model.hiveTask.Task.StateLog.Last().DateTime  </h4>
+            <div id="graph@(Model.hiveTask.Task.Id)"></div>
+        </div>
+    </div>
+    @if (Model.hiveTask.ChildHiveTasks.Count > 0)
+    {
+        <div class="panel-body">
+            @foreach (var task in Model.hiveTask.ChildHiveTasks)
+            {
+                @Html.Partial("SelectedJobPartials/_TaskPartial",
+                        new HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer(task))
+
+            }
+        </div>
+    }
+    <script type="text/javascript">
+        var temp = @Html.Raw(JsonConvert.SerializeObject(Model.hiveTask.Task.StateLog));
+        var xarr = [];
+        var yarr = [];
+        for(var v = 0; v < temp.length; v++){
+            xarr.push(temp[v].DateTime.substr(11,8));
+            if(temp[v].State == 1)
+                yarr.push("Waiting");
+            else if(temp[v].State == 2)
+                yarr.push("Transferring");
+            else if(temp[v].State == 3)
+                yarr.push("Calculating");
+            else if(temp[v].State == 5)
+                yarr.push("Finished");
+            else if(temp[v].State == 7)
+                yarr.push("Failed");
+        }
+
+        var data = [{
+            x: xarr,
+            y: yarr,
+            type:'scatter'
+        }];
+        document.getElementById("graph@(Model.hiveTask.Task.Id)").style = "width: 90%; height: 450px;";
+
+        Plotly.newPlot('graph@(Model.hiveTask.Task.Id)', data);
+
+        function redrawbat(val){
+            setTimeout(function(){
+                Plotly.newPlot('graph' + val,data);
+            }, 100);
+            
+
+        }
+
+    </script>
+</div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_ExpTask.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_ExpTask.cshtml	(revision 13712)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_ExpTask.cshtml	(revision 13712)
@@ -0,0 +1,119 @@
+﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer
+@using Newtonsoft.Json;
+
+<div class="panel panel-danger" style="border-color:#c12e2a!important; border-width:2px!important">
+    <div class="panel-heading"
+         data-toggle="collapse"
+         data-target="#panbody@(Model.hiveTask.Task.Id)"
+         onclick="redrawexp('@(Model.hiveTask.Task.Id)')"
+       aria-expanded="false"
+       aria-controls="panbody@(Model.hiveTask.Task.Id)">
+        <table class="table ">
+            <thead>
+                <tr>
+                    <th>Experiment: @Model.hiveTask.ItemTask.Name</th>
+                    <th style="font-size:large">
+                        @if (Model.hiveTask.Task.Priority == 0)
+                        {
+                            <span class="label label-default"> Priority low</span>
+                        }
+                        else if (Model.hiveTask.Task.Priority == 1)
+                        {
+                            <span class="label label-info">Priority normal</span>
+                        }
+                        else if (Model.hiveTask.Task.Priority == 2)
+                        {
+                            <span class="label label-warning">Priority urgent</span>
+
+                        }
+                        else if (Model.hiveTask.Task.Priority == 3)
+                        {
+                            <span class="label label-danger">Priority critical</span>
+
+                        }
+                    </th>
+
+                </tr>
+            </thead>
+            <tbody>
+                <tr>
+                    <td id="lastupdate@(Model.hiveTask.Task.Id)">
+                        Last update @Model.hiveTask.Task.LastTaskDataUpdate
+                    </td>
+                    <td id="state@(Model.hiveTask.Task.Id)">State: @Model.hiveTask.Task.State</td>
+
+                </tr>
+                <tr>
+                    <td id="exectime@(Model.hiveTask.Task.Id)">
+                        @Model.hiveTask.Task.ExecutionTime executed
+                    </td>
+                    <td>Created: @Model.hiveTask.Task.DateCreated</td>
+                </tr>
+                <tr>
+                    <td>
+                        Child task distribution
+                        <input type="checkbox"
+                               disabled
+                               @(Model.hiveTask.ItemTask.ComputeInParallel ? "checked" : "" )
+                               data-toggle="toggle"
+                               data-onstyle="success" />
+                    </td>
+                    <td>Statelogs: @Model.hiveTask.Task.StateLog.Count</td>
+                </tr>
+            </tbody>
+        </table>
+    </div>
+    <div class="panel-body ">
+        <div class="collapse" id="panbody@(Model.hiveTask.Task.Id)">
+            <h4>From @Model.hiveTask.Task.StateLog.First().DateTime <br />to @Model.hiveTask.Task.StateLog.Last().DateTime  </h4>
+            <div id="graph@(Model.hiveTask.Task.Id)"></div>
+        </div>
+    </div>
+    @if (Model.hiveTask.ChildHiveTasks.Count > 0)
+    {
+        <div class="panel-body ">
+            @foreach (var task in Model.hiveTask.ChildHiveTasks)
+            {
+                @Html.Partial("SelectedJobPartials/_TaskPartial",
+                    new HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer(task))
+
+            }
+        </div>
+    }
+    <script type="text/javascript">
+        var temp = @Html.Raw(JsonConvert.SerializeObject(Model.hiveTask.Task.StateLog));
+        var xarr = [];
+        var yarr = [];
+        for(var v = 0; v < temp.length; v++){
+            xarr.push(temp[v].DateTime.substr(11,8));
+            if(temp[v].State == 1)
+                yarr.push("Waiting");
+            else if(temp[v].State == 2)
+                yarr.push("Transferring");
+            else if(temp[v].State == 3)
+                yarr.push("Calculating");
+            else if(temp[v].State == 5)
+                yarr.push("Finished");
+            else if(temp[v].State == 7)
+                yarr.push("Failed");
+        }
+
+        var data = [{
+            x: xarr,
+            y: yarr,
+            type:'scatter'
+        }];
+        document.getElementById("graph@(Model.hiveTask.Task.Id)").style = "width: 90%; height: 450px;";
+
+        Plotly.newPlot('graph@(Model.hiveTask.Task.Id)', data);
+
+        function redrawexp(val){
+            setTimeout(function(){
+                Plotly.newPlot('graph' + val,data);
+            }, 100);
+            
+
+        }
+
+    </script>
+</div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_TaskPartial.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_TaskPartial.cshtml	(revision 13712)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_TaskPartial.cshtml	(revision 13712)
@@ -0,0 +1,21 @@
+﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer
+
+        
+
+        @if (Model.hiveTask.ItemTask.Item is HeuristicLab.Optimization.IAlgorithm)
+        {
+            @Html.Partial("SelectedJobPartials/_AlgTask", Model)
+
+        }
+        else if (Model.hiveTask.ItemTask.Item is HeuristicLab.Optimization.Experiment)
+        {
+            @Html.Partial("SelectedJobPartials/_ExpTask", Model)
+
+        }
+        else if (Model.hiveTask.ItemTask.Item is HeuristicLab.Optimization.BatchRun)
+        {
+
+            @Html.Partial("SelectedJobPartials/_BatchTask", Model)
+        }
+
+        
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Shared/_Layout.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Shared/_Layout.cshtml	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Shared/_Layout.cshtml	(revision 13712)
@@ -31,4 +31,5 @@
         <script src="~/js/npm.js"></script>
         <script src="~/js/raphael.js"></script>
+        <script src="~/js/plotly.js"></script>
         @RenderBody()
     </div>
